kind: Service
apiVersion: v1
metadata:
  name: win-webserver
  namespace: win-webserver
  uid: 737d03de-d8c0-4647-9f4c-7a2b9eb40693
  resourceVersion: '121105'
  creationTimestamp: '2024-07-01T19:57:08Z'
  labels:
    app: win-webserver
  finalizers:
    - service.kubernetes.io/load-balancer-cleanup
  managedFields:
    - manager: kubectl-create
      operation: Update
      apiVersion: v1
      time: '2024-07-01T19:57:08Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:app': {}
        'f:spec':
          'f:allocateLoadBalancerNodePorts': {}
          'f:externalTrafficPolicy': {}
          'f:internalTrafficPolicy': {}
          'f:ports':
            .: {}
            'k:{"port":80,"protocol":"TCP"}':
              .: {}
              'f:port': {}
              'f:protocol': {}
              'f:targetPort': {}
          'f:selector': {}
          'f:sessionAffinity': {}
          'f:type': {}
    - manager: aws-cloud-controller-manager
      operation: Update
      apiVersion: v1
      time: '2024-07-01T19:57:12Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"service.kubernetes.io/load-balancer-cleanup"': {}
        'f:status':
          'f:loadBalancer':
            'f:ingress': {}
      subresource: status
spec:
  clusterIP: 172.30.4.9
  externalTrafficPolicy: Cluster
  ipFamilies:
    - IPv4
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80
      nodePort: 31886
  internalTrafficPolicy: Cluster
  clusterIPs:
    - 172.30.4.9
  allocateLoadBalancerNodePorts: true
  type: LoadBalancer
  ipFamilyPolicy: SingleStack
  sessionAffinity: None
  selector:
    app: win-webserver
status:
  loadBalancer:
    ingress:
      - hostname: a737d03ded8c046479f4c7a2b9eb4069-942640006.us-east-1.elb.amazonaws.com
